####
# django app
DEBUG=True
IS_LOGGING=False
APP_DATAS=relaycontroller
RAMDISK_DEVICE=/mnt/ramdisk
MKCERT_VERSION=mkcert-v1.4.4

DJANGO_APP=relaycontroller
APP_TITLE=Controleur de relais
APP_SUB_TITLE=Dev

LANGUAGE_CODE=fr-FR
LOCALE_CODE=fr_FR
LOCALE_LC_ALL=fr_FR.UTF-8
TIME_ZONE=Europe/Paris

# RPI PINOUT BOARD MODE

# shiftout 74HC595
# gpio16
CTL_DATA_PIN=36
# gpio20
CTL_LATCH_PIN=38
 # gpio21
CTL_CLOCK_PIN=40
CTL_NUMBER=2

# YF_S201
WATERFLOW_PIN=7

####
# django email
#
DEFAULT_TO_EMAIL=postmaster@mysite.net
DEFAULT_FROM_EMAIL=postmaster@mysite.net
DEFAULT_EMAIL_CONTACT=postmaster@mysite.net

EMAIL_BACKEND=django.core.mail.backends.smtp.EmailBackend
EMAIL_HOST=ssl0.ovh.net
EMAIL_PORT=587
EMAIL_HOST_USER=xxx@yyy.net
EMAIL_HOST_PASSWORD=123456
EMAIL_USE_TLS=True

LOGGING_FILE=relay.log
SECRET_KEY=django-insecure-u=^w_n16w@b83oa+93a8^j_€g-e%!e1m(pc&7hzm(y95d*+gnf
USER=rpi4
GROUP=rpi4

DOMAIN_SERVER=relay.local
ALLOWED_HOSTS=127.0.0.1,localhost,192.168.1.37
CSRF_TRUSTED_ORIGINS=http://127.0.0.1:8020,http://localhost:8020,http://192.168.1.37:8020

####
# server app
SERVER_HOST_IP=0.0.0.0
SERVER_HOST_PORT=8020

####
# redis
#
REDIS_HOST=127.0.0.1
REDIS_PORT=6379

####
# database: sqlite3 | mariadb | postgrey
#
# sqlite3
SQLITE3=default
SQLITE3_PATH=

# mariadb
MARIADB=None
DATABASE_MARIADB_HOST=127.0.0.1
DATABASE_MARIADB_PORT=3306

# postgrey
POSTGRES=None
DATABASE_POSTGRES_HOST=127.0.0.1
DATABASE_POSTGRES_PORT=5432

####
# database
#
DATABASE_NAME=relay
DATABASE_USER=relay
DATABASE_PASSWORD=relay

####
# mosquitto
MQTT_ORIGINE=ctrl
MQTT_HOST=192.168.1.4
MQTT_PORT=1883
MQTT_USERNAME=
MQTT_PASSWORD=
MQTT_CA_CERT=


####
# default login:pass
#
SUPERADMIN=superadmin
SUPERADMIN_PASS=superadmin
SUPERADMIN_MAIL=superadmin@relay.net

DEFAULT_USER=relay
DEFAULT_USER_PASS=relay
DEFAULT_USER_MAIL=relay@local.net

